## org.eclipse.emf.edit.command
Interface CreateChildCommand.Helper

All Known Implementing Classes:
  ChangeDescriptionItemProvider, ComplexTypeConverterItemProvider, EAnnotationItemProvider, EAttributeItemProvider, EClassifierItemProvider, EClassItemProvider, Ecore2EcoreMappingRootItemProvider, EDataTypeItemProvider, EEnumItemProvider, EEnumLiteralItemProvider, EFactoryItemProvider, EGenericTypeItemProvider, EModelElementItemProvider, ENamedElementItemProvider, ENamedElementToXMLInfoMapEntryItemProvider, EObjectItemProvider, EObjectToChangesMapEntryItemProvider, EOperationItemProvider, EPackageItemProvider, EParameterItemProvider, EReferenceItemProvider, EStringToStringMapEntryItemProvider, EStructuralFeatureItemProvider, ETypedElementItemProvider, ETypeParameterItemProvider, FeatureChangeItemProvider, FeatureMapEntryItemProvider, FunctionNamePairItemProvider, FunctionPairItemProvider, GenAnnotationItemProvider, GenBaseItemProvider, GenClassItemProvider, GenDataTypeItemProvider, GenEnumItemProvider, GenEnumLiteralItemProvider, GenFeatureItemProvider, GenModelItemProvider, GenOperationItemProvider, GenPackageItemProvider, ItemProviderAdapter, ListChangeItemProvider, MappingHelperItemProvider, MappingItemProvider, MappingItemProviderAdapter, MappingRootItemProvider, MappingStrategyItemProvider, ReflectiveItemProvider, ResourceChangeItemProvider, ResourceItemProvider, ResourceSetItemProvider, TreeNodeItemProvider, TypeConverterItemProvider, XMLInfoItemProvider, XMLMapItemProvider

Enclosing class:
  CreateChildCommand

    public static interface CreateChildCommand.Helper

This is the helper interface to which `CreateChildCommand` functionality is delegated.

Method Summary
`java.lang.String` `getCreateChildDescription(java.lang.Object owner, java.lang.Object feature, java.lang.Object child, java.util.Collection<?> selection)` This returns the description of the action of creating the specified `child` under the specified `feature` of the `owner`.
`java.lang.Object` `getCreateChildImage(java.lang.Object owner, java.lang.Object feature, java.lang.Object child, java.util.Collection<?> selection)` This returns the icon for the action of creating the specified `child` under the specified `feature` of the `owner`.
`java.util.Collection<?>` `getCreateChildResult(java.lang.Object child)` For a given child object, this returns the complete collection of objects to be presented as the command's result.
`java.lang.String` `getCreateChildText(java.lang.Object owner, java.lang.Object feature, java.lang.Object child, java.util.Collection<?> selection)` This returns the text for the action of creating the specified `child` under the specified `feature` of the `owner`.
`java.lang.String` `getCreateChildToolTipText(java.lang.Object owner, java.lang.Object feature, java.lang.Object child, java.util.Collection<?> selection)` This returns the tool tip text for the action of creating the specified `child` under the specified `feature` of the `owner`.

Method Detail

### getCreateChildResult

    java.util.Collection<?> getCreateChildResult(java.lang.Object child)

  For a given child object, this returns the complete collection of objects to be presented as the command's result.

### getCreateChildText

    java.lang.String getCreateChildText(java.lang.Object owner,
                                        java.lang.Object feature,
                                        java.lang.Object child,
                                        java.util.Collection<?> selection)

  This returns the text for the action of creating the specified `child` under the specified `feature` of the `owner`. The `selection` is given as context, from which the `Helper` can determine whether the object is being added as a child or a sibling, if it wishes.

### getCreateChildDescription

    java.lang.String getCreateChildDescription(java.lang.Object owner,
                                               java.lang.Object feature,
                                               java.lang.Object child,
                                               java.util.Collection<?> selection)

  This returns the description of the action of creating the specified `child` under the specified `feature` of the `owner`. The `selection` is given as context, from which the `Helper` can determine whether the object is being added as a child or a sibling, if it wishes.

### getCreateChildToolTipText

    java.lang.String getCreateChildToolTipText(java.lang.Object owner,
                                               java.lang.Object feature,
                                               java.lang.Object child,
                                               java.util.Collection<?> selection)

  This returns the tool tip text for the action of creating the specified `child` under the specified `feature` of the `owner`. The `selection` is given as context, from which the `Helper` can determine whether the object is being added as a child or a sibling, if it wishes.

### getCreateChildImage

    java.lang.Object getCreateChildImage(java.lang.Object owner,
                                         java.lang.Object feature,
                                         java.lang.Object child,
                                         java.util.Collection<?> selection)

  This returns the icon for the action of creating the specified `child` under the specified `feature` of the `owner`. The `selection` is given as context, from which the `Helper` can determine whether the object is being added as a child or a sibling, if it wishes.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.